---
title: "AngledLineThatIntersectsData"
excerpt: "Data for drawing an angled line that intersects with a given line."
layout: manual
---

Data for drawing an angled line that intersects with a given line.

**Type:** `object`





## Properties

| Property | Type | Description | Required |
|----------|------|-------------|----------|
| `angle` |`number`| The angle of the line. | No |
| `intersectTag` |[`TagIdentifier`](/docs/kcl/types#tag-identifier)| The tag of the line to intersect with. | No |
| `offset` |`number`| The offset from the intersecting line. | No |


